Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class StdStructTypes

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.StdStructTypes

    public class StdStructTypes

extends java.lang.Object

This class holds the constants for standard structure type names, and a static method for determining if a string belongs to those names.

Field Summary
`static java.lang.String[]` | `blockLevelNames` The subset of typeNames which denotes a block-level element
`static java.lang.String[]` | `typeNames` Array of valid structure type names

Method Summary
`static boolean` | `includes(java.lang.String s)` Returns true if s is equal (by an equals() test) to some string in typeNames.
`static boolean` | `isBlockLevel(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeNames

    public static final java.lang.String[] typeNames

  Array of valid structure type names

### blockLevelNames

    public static final java.lang.String[] blockLevelNames

  The subset of typeNames which denotes a block-level element

Method Detail

### includes

    public static boolean includes(java.lang.String s)

  Returns true if s is equal (by an equals() test) to some string in typeNames.

### isBlockLevel

    public static boolean isBlockLevel(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD